<?php

namespace Drupal\graupl_components\Plugin\Layout;

use Drupal\Core\Layout\LayoutDefault;

/**
 * Configurable container layout plugin class.
 *
 * @internal
 *   Plugin classes are internal.
 */
class ContainerLayout extends LayoutDefault {

  /**
   * {@inheritdoc}
   */
  public function build(array $regions) {
    $build = parent::build($regions);
    $build['#attributes']['class'] = [
      'layout',
      $this->getPluginDefinition()->getTemplate(),
    ];

    return $build;
  }

}
